Subject: [mile] [Technical Errata Reported] RFC7970 (5543)

From: RFC Errata System <[email-masked]>
Date: Sat, 3 Nov 2018 19:44:46 -0700 (PDT)

The following errata report has been submitted for RFC7970,
"The Incident Object Description Exchange Format Version 2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5543

--------------------------------------
Type: Technical
Reported by: Takeshi Takahashi <[email-masked]>

Section: 8

Original Text
-------------
    <xs:element name="Confidence">
      <xs:complexType>
        <xs:attribute name="rating"
                      type="confidence-rating-type" use="required"/>
        <xs:attribute name="ext-rating"
                      type="xs:string" use="optional"/>
      </xs:complexType>
    </xs:element>

Corrected Text
--------------
    <xs:element name="Confidence">
      <xs:complexType>
        <xs:simpleContent>
          <xs:extension base="xs:float">
            <xs:attribute name="rating"
                          type="confidence-rating-type" use="required"/>
            <xs:attribute name="ext-rating"
                          type="xs:string" use="optional"/>
          </xs:extension>
        </xs:simpleContent>
      </xs:complexType>
    </xs:element>

Notes
-----
Section 3.12.5 says as follows:
  "The content of the class is of type REAL and specifies a numerical
   assessment in the confidence of the data when the value of the rating
   attribute is "numeric".  Otherwise, this element MUST be empty."

The current schema does not allow the confidence class to have the content (REAL type), thus the correction is proposed.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7970 (draft-ietf-mile-rfc5070-bis-26)
--------------------------------------
Title               : The Incident Object Description Exchange Format Version 2
Publication Date    : November 2016
Author(s)           : R. Danyliw
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Roman Danyliw <[email-masked]>
Date: Mon, 5 Nov 2018 09:55:34 +0000

Hello!

This errata and the proposed text are correct.

Take: thank you for finding this issue.

Roman
________________________________________
From: RFC Errata System [[email-masked]]
Sent: Saturday, November 03, 2018 10:44 PM
To: Roman Danyliw; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC7970 (5543)

Section: 8

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------